{% extends 'base.html.twig' %}

{% block body %}
    <div class="col-lg-12 table-responsive">
        <h3>Liste des tuteurs</h3>
        <form action="{{ path('su_classe_add_tuteurs', { 'id': classe.id }) }}" method="post">
            <div class="row">
                <div class="col-lg-12">
                    <input type="submit" value="Ajouter Tuteurs" class="btn btn-primary pull-right" style="margin: 5px">
                </div>
            </div>
        <table class="table table-striped table-rounded-radius"  >
            <thead>
            <tr align="center">
                <th>
                    <div class="checkbox">
                        <input id="checkbox" hidden name="Tuteurs[]" type="checkbox" data-check-all="">
                        <label for="checkbox"></label>
                    </div>
                </th>
                <th>Nom</th>
                <th>Prénom</th>
                <th>Email</th>
            </tr>
            </thead>
            <tbody>
            {% if tuteurs is empty %}
                <tr>
                    <td colspan="5">
                        <p>Il y a pas des données</p>
                    </td>
                </tr>
            {% else %}
                {% for tuteur in tuteurs %}
                    <tr >
                        <td>
                            <div class="checkbox">
                                <input id="checkbox{{ tuteur.id }}" name="Tuteurs[]" value="{{ tuteur.id }}" type="checkbox">
                                <label for="checkbox{{ tuteur.id }}"></label>
                            </div>
                        </td>
                        <td width="30%" align="center">{{ tuteur.lastName }}</td>
                        <td width="30%" align="center">{{ tuteur.firstName }}</td>
                        <td width="30%" align="center">{{ tuteur.email }}</td>
                    </tr>
                {% endfor %}
            {% endif %}
            </tbody>
        </table>
        </form>
        <nav class="navigation align-content-center">
            {{ knp_pagination_render(tuteurs) }}
        </nav>
    </div>
    <ul class="list-unstyled">
        <li>
            <a href="{{ path('su_classe_index') }}">Retourner vers la liste</a>
        </li>
    </ul>
{% endblock %}